"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const utils_1 = require("../../utils");
const messages_1 = require("../messages");
const validators_1 = require("../validators");
exports.default = (inquirer, prevAns = {}, seedList) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    (0, messages_1.workspaceIntro)();
    const { useCurrent, workspaceDirectory = prevAns.workspaceDirectory, workspaceName = prevAns.workspaceName, workspaceSeed, } = yield inquirer.prompt([
        {
            name: 'useCurrent',
            type: 'confirm',
            message: 'Create a workspace in current directory',
            when: !prevAns.workspaceDirectory,
            default: true,
        },
        {
            name: 'workspaceDirectory',
            type: 'select-directory',
            message: 'Workspace parent directory',
            when: (data) => !prevAns.workspaceDirectory && !data.useCurrent,
            basePath: utils_1.basePath,
        },
        {
            name: 'workspaceName',
            type: 'input',
            message: 'Workspace name (should be unique to application group, ie. client name)',
            when: !prevAns.workspaceName,
            validate: validators_1.safeName,
        },
        {
            name: 'workspaceSeed',
            type: 'list',
            message: 'Workspace seed',
            choices: (0, utils_1.mapToSeedChoices)(seedList),
        },
    ]);
    return {
        useCurrent,
        workspaceDirectory: useCurrent ? process.cwd() : workspaceDirectory,
        workspaceName,
        workspaceSeed,
    };
});
